package com.bonus.canteen.core.customer.vo;

import cn.hutool.core.util.ObjectUtil;
import com.bonus.canteen.core.customer.model.CustPsnType;
import lombok.Data;

@Data
public class PsnTypeBacisInfoVO {
   private Long id;
   private Integer psnType;
   private String psnTypeName;

   public static PsnTypeBacisInfoVO custPsnType2PsnTypeBacisInfoVO(CustPsnType custPsnType) {
      return ObjectUtil.isNull(custPsnType) ? null : (new PsnTypeBacisInfoVO()).setId(custPsnType.getId()).setPsnType(custPsnType.getPsnType()).setPsnTypeName(custPsnType.getPsnTypeName());
   }

   public Long getId() {
      return this.id;
   }

   public Integer getPsnType() {
      return this.psnType;
   }

   public String getPsnTypeName() {
      return this.psnTypeName;
   }

   public PsnTypeBacisInfoVO setId(final Long id) {
      this.id = id;
      return this;
   }

   public PsnTypeBacisInfoVO setPsnType(final Integer psnType) {
      this.psnType = psnType;
      return this;
   }

   public PsnTypeBacisInfoVO setPsnTypeName(final String psnTypeName) {
      this.psnTypeName = psnTypeName;
      return this;
   }




}
